Subject: Re: cygwin.dll
From: [email-masked] (Jim Balter)

16 Jan 1997 21:56:53 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: "M.Carter" <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

M.Carter wrote:

> It is better to use the standard components of an already existing
> operating system, rather than trying to go it alone by adding extra bits.

The standard operating system in this case is ... UNIX!!!

The GNU code is all written for unix.  That's what cygwin tries
to emulate.  If you want something different, there are utilities
out there ported to native Windows.  You should try
http://www.itribe.net/virtunix; you will find bunches of utilities
like grep and so on that use Windows pathnames and don't require DLLs.
If you want a shell, they've got "an initial port" of tcsh.

cygwin fulfills a *different* need.

> Unless there's a compelling reason to do so, of course.

The fact that all the GNU code is written for UNIX is pretty compelling.
Remember that cygwin not only provides the utilities, it provides a
FREE development environment.  That means gcc, g++, obj-c, GNAT/ADA,
ld, as, gdb, the entire GNU libc, etc. etc.   All this code was
written for ... UNIX!!  I hope you are starting to get the point. :-)

> I would be
> the first one to admit that a PC's operating system is 'less than
> perfect' (in fact, if there was a competition  for the worst designed
> operating system currently on the market, the PC operating system in
> all it's glorious flavours [Dos, Win 3.11, Win 95] would win it), and
> I'm sure that 99% of the people reading this email would agree with me.
> Even the humble Amiga has an operating system that has more coherency
> to it.
> 
> Windows 95 - it's not THAT bad.

You are welcome to start porting bash and the rest of the utilities
to native Win95.  Have fun.

> This email was written with the sneaking expectation that it would generate
> a lot of response, so I apologise if some people think that this is not
> the appropriate forum to discuss these matters.

It really isn't the appropriate forum to discuss whether cygwin should
be something that it isn't.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".